package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Configured ssid list.
 */
@ApiModel(description = "Configured ssid list.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class SsidOuiModeOpenApiVo   {
  @JsonProperty("ssidId")
  private String ssidId;

  @JsonProperty("ssidName")
  private String ssidName;

  public SsidOuiModeOpenApiVo ssidId(String ssidId) {
    this.ssidId = ssidId;
    return this;
  }

  /**
   * Ssid ID.
   * @return ssidId
  */
  @ApiModelProperty(value = "Ssid ID.")


  public String getSsidId() {
    return ssidId;
  }

  public void setSsidId(String ssidId) {
    this.ssidId = ssidId;
  }

  public SsidOuiModeOpenApiVo ssidName(String ssidName) {
    this.ssidName = ssidName;
    return this;
  }

  /**
   * Ssid Name.
   * @return ssidName
  */
  @ApiModelProperty(value = "Ssid Name.")


  public String getSsidName() {
    return ssidName;
  }

  public void setSsidName(String ssidName) {
    this.ssidName = ssidName;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SsidOuiModeOpenApiVo ssidOuiModeOpenApiVo = (SsidOuiModeOpenApiVo) o;
    return Objects.equals(this.ssidId, ssidOuiModeOpenApiVo.ssidId) &&
        Objects.equals(this.ssidName, ssidOuiModeOpenApiVo.ssidName);
  }

  @Override
  public int hashCode() {
    return Objects.hash(ssidId, ssidName);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SsidOuiModeOpenApiVo {\n");
    
    sb.append("    ssidId: ").append(toIndentedString(ssidId)).append("\n");
    sb.append("    ssidName: ").append(toIndentedString(ssidName)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

